Package: groovy.xml.slurpersupport

## [Java] Class NodeChild

- groovy.xml.slurpersupport.NodeChild

-     public class NodeChild
      extends GPathResult

  Lazy evaluated representation of a child node.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeChild(Node node, GPathResult parent, String namespacePrefix, Map<String, String> namespaceTagHints)` Parameters: `node` - a node
    `NodeChild(Node node, GPathResult parent, Map<String, String> namespaceTagHints)` Parameters: `node` - a node

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map` | `attributes()` Returns a map containing all attributes of the Node of this NodeChild.
    `` | `public void` | `build(GroovyObject builder)`
    `` | `public Iterator` | `childNodes()`
    `` | `public GPathResult` | `find(Closure closure)`
    `` | `public GPathResult` | `findAll(Closure closure)`
    `` | `public Object` | `getAt(int index)`
    `` | `public Iterator` | `iterator()`
    `` | `public List<String>` | `localText()` Returns the list of any direct String nodes of this NodeChild.
    `` | `public String` | `namespaceURI()` Returns the URI of the namespace of this NodeChild.
    `` | `public Iterator` | `nodeIterator()`
    `` | `public GPathResult` | `parent()`
    `` | `public GPathResult` | `parents()` Throws a `GroovyRuntimeException`, because this method is not implemented yet.
    `` | `public int` | `size()`
    `` | `public String` | `text()`
    `` | `public Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GPathResult` | `breadthFirst, childNodes, children, declareNamespace, depthFirst, doCall, doCall, equals, find, findAll, getAt, getAt, getAttribute, getBody, getProperty, hasNext, hasNext, hasNext, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, next, next, next, nodeIterator, parent, parents, plus, plus, pop, putAt, remove, remove, remove, setAttribute, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public NodeChild(Node node, GPathResult parent, String namespacePrefix, Map<String, String> namespaceTagHints)

      Parameters:
        `node` - a node
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `namespacePrefix` - the namespace prefix if any
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public NodeChild(Node node, GPathResult parent, Map<String, String> namespaceTagHints)

      Parameters:
        `node` - a node
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### public Map attributes()

      Returns a map containing all attributes of the Node of this NodeChild.

      Returns:
        a map containing all attributes

    - #### @Override
      public void build(GroovyObject builder)

    - #### @Override
      public Iterator childNodes()

    - #### @Override
      public GPathResult find(Closure closure)

    - #### @Override
      public GPathResult findAll(Closure closure)

    - #### @Override
      public Object getAt(int index)

    - #### @Override
      public Iterator iterator()

    - #### public List<String> localText()

      Returns the list of any direct String nodes of this NodeChild.

      Returns:
        the list of String values from this node
      Since:
        2.3.0

    - #### public String namespaceURI()

      Returns the URI of the namespace of this NodeChild.

      Returns:
        the namespace of this NodeChild

    - #### @Override
      public Iterator nodeIterator()

    - #### @Override
      public GPathResult parent()

    - #### @Override
      public GPathResult parents()

      Throws a `GroovyRuntimeException`, because this method is not implemented yet.

    - #### @Override
      public int size()

    - #### @Override
      public String text()

    - #### @Override
      public Writer writeTo(Writer out)